{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/property_vacancy_report/report') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/property_vacancy_report/report') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{% if propertyVacancyReport.isProcessed() %}{{ path('property_vacancy_management_property_vacancy_report_processed_overview') }}{% else %}{{ path('property_vacancy_management_property_vacancy_report_unprocessed_overview') }}{% endif %}" class="me-2 d-flex align-items-center text-decoration-none">
            <i class="material-icons md-36">arrow_back</i>
        </a>
        <span class="text-primary fs-5 align-self-center w-100">Leerstandsmeldung, {% if propertyVacancyReport.getIndustryClassification() %}{{ propertyVacancyReport.getIndustryClassification().getName() }}{% else %}Objekt{% endif %}{% if propertyVacancyReport.getPropertyUserCompanyName() %}, {% if propertyVacancyReport.isObjectIsEmpty() %}ehemals {% endif %}{{ propertyVacancyReport.getPropertyUserCompanyName() }}{% endif %}</span>

        {% if is_granted('edit', propertyVacancyReport) == true %}
            {% set listItems =  [] %}

            {% set listItems = listItems|merge([
                {
                    'label': 'Notiz eintragen',
                    'url': path('property_vacancy_management_property_vacancy_report_note_create', {'propertyVacancyReportId' : propertyVacancyReport.getId()}),
                    'icon': 'notes'
                },
            ]) %}

            {% if is_granted('delete', propertyVacancyReport) == true %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Meldung löschen',
                        'url': path('property_vacancy_management_property_vacancy_report_delete', {'propertyVacancyReportId' : propertyVacancyReport.getId()}),
                        'icon': 'delete_forever'
                    },
                ]) %}
            {% endif %}

            {% if not propertyVacancyReport.isProcessed() %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Als bearbeitet markieren',
                        'url': path('property_vacancy_management_property_vacancy_report_processed', {'propertyVacancyReportId' : propertyVacancyReport.getId()}),
                        'icon': 'done'
                    }
                ]) %}
            {% endif %}
            {% if propertyVacancyReport.getBuildingUnit() == null %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Als Objekt übernehmen',
                        'url': path('property_vacancy_management_property_vacancy_report_report_to_building_unit', {'propertyVacancyReportId' : propertyVacancyReport.getId()}),
                        'icon': 'compare_arrows'
                    }
                ]) %}
            {% endif %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'property_vacancy_report_report','listItems': listItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-4 mb-4">
            <h1 class="fs-3">{% if propertyVacancyReport.getIndustryClassification() %}{{ propertyVacancyReport.getIndustryClassification().getName() }}{% else %}Objekt{% endif %}{% if propertyVacancyReport.getPropertyUserCompanyName() %}, {% if propertyVacancyReport.isObjectIsEmpty() %}ehemals {% endif %}{{ propertyVacancyReport.getPropertyUserCompanyName() }}{% endif %}</h1>
            <div class="d-flex flex-row docs-highlight mb-1">
                <div class="docs-highlight">
                    <span class="material-icons-outlined {% if propertyVacancyReport.isObjectIsEmpty() %}text-danger{% endif %} {% if propertyVacancyReport.isObjectBecomesEmpty() %}text-warning{% endif %}">
                        {% if propertyVacancyReport.isObjectIsEmpty() %}error{% endif %} {% if propertyVacancyReport.isObjectBecomesEmpty() %}gpp_maybe{% endif %}
                    </span>
                </div>
                <div class="p-1 docs-highlight">
                    {% if propertyVacancyReport.isObjectIsEmpty() and propertyVacancyReport.getObjectIsEmptySince() is not null %}
                        <strong>
                            Leerstand seit: {{ propertyVacancyReport.getObjectIsEmptySince().format('d.m.Y') }}
                        </strong>
                    {% elseif propertyVacancyReport.isObjectBecomesEmpty() and  propertyVacancyReport.getObjectBecomesEmptyFrom() is not null %}
                        <strong>
                            Fällt leer zum: {{ propertyVacancyReport.getObjectBecomesEmptyFrom().format('d.m.Y') }}
                        </strong>
                    {% endif %}
                </div>
            </div>
            <div class="row mt-3">
                <div class="col">
                    <div><strong>{{ propertyVacancyReport.getStreetName() }} {{ propertyVacancyReport.getHouseNumber() }}</strong></div>
                    <div><strong>{{ propertyVacancyReport.getPostalCode }} {{ propertyVacancyReport.getPlace().getPlaceName() }}{% if propertyVacancyReport.getBoroughPlace() %}, {{ propertyVacancyReport.getBoroughPlace().getPlaceName() }}{% endif %}{% if propertyVacancyReport.getQuarterPlace() %}, {{ propertyVacancyReport.getQuarterPlace().getPlaceName() }}{% endif %}</strong></div>
                    {% if propertyVacancyReport.getLocationCategory() %}
                        <div class="mt-3">Lagekategorie:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getLocationCategory().getName() }}</strong>
                        </div>
                    {% endif %}
                    <div class="mt-3">Lagebeschreibung:</div>
                    <div>
                        <strong>{{ propertyVacancyReport.getPlaceDescription()|nl2br }}</strong>
                    </div>
                    {% if propertyVacancyReport.getPropertyDescription() %}
                        <div class="mt-3">Objektbeschreibung:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getPropertyDescription()|nl2br }}</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getBuildingCondition() %}
                        <div class="mt-3">Zustand:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getBuildingCondition().getName() }}</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getAreaSize() %}
                        <div class="mt-3">Gesamtfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getAreaSize()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getPlotSize() %}
                        <div class="mt-3">Grundstücksfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getPlotSize()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getRetailSpace() %}
                        <div class="mt-3">Verkaufsfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getRetailSpace()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getGroundLevelSalesArea() %}
                        <div class="mt-3">ebenerdige Verkaufsfläche:</div>
                        <div>
                            <strong>ist vorhanden</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getSubsidiarySpace() %}
                        <div class="mt-3">Nebenfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getSubsidiarySpace()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getUsableSpace() %}
                        <div class="mt-3">Nutzfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getUsableSpace()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getGastronomySpace() %}
                        <div class="mt-3">Gastrofläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getGastronomySpace()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getLivingSpace() %}
                        <div class="mt-3">Wohnfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getLivingSpace()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getUsableOutdoorArea() %}
                        <div class="mt-3">Nutzbare Außenfläche:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getUsableOutdoorArea()|number_format(0,',','.') }} m&sup2;</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.isStoreWindowAvailable() %}
                        <div class="mt-3">Schaufenster:</div>
                        <div>
                            <strong>Ein Schaufenster ist vorhanden</strong>
                        </div>
                        {% if propertyVacancyReport.getShopWindowFrontWidth() %}
                            <div class="mt-3">Schaufensterbreite (gesamt):</div>
                            <div>
                                <strong>{{ propertyVacancyReport.getShopWindowFrontWidth() }} m</strong>
                            </div>
                        {% endif %}
                    {% endif %}
                    {% if propertyVacancyReport.getBarrierFreeAccess() %}
                        <div class="mt-3">Barrierefreier Zugang:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getBarrierFreeAccess().getName() }}</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getNumberOfParkingLots() %}
                        <div class="mt-3">Anzahl Stellplätze:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getNumberOfParkingLots() }}</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.shopWidth() %}
                        <div class="mt-3">Ladenbreite:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.shopWidth() }} m</strong>
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getPropertyOfferType() %}
                        <div class="mt-3">Angebotsart:</div>
                        <div>
                            <strong>{{ propertyVacancyReport.getPropertyOfferType().getName() }}</strong>
                        </div>
                    {% endif %}
                </div>
                <div class="col">
                    <div>Meldung eingegangen am:</div>
                    <div><b>{{ propertyVacancyReport.getReportedAt().format('d.m.Y, H:i') }} Uhr</b></div>
                    {% if propertyVacancyReport.getUpdatedAt() != null %}
                        <div>Zuletzt bearbeitet am:</div>
                        <div><b>{{ propertyVacancyReport.getUpdatedAt().format('d.m.Y, H:i') }} Uhr</b></div>
                    {% endif %}
                    {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
                        <div class="mt-2">Gemeldet von:</div>
                        <div>
                            <b>
                                {% if propertyVacancyReport.getReporterFirstName() %}
                                    {{ propertyVacancyReport.getReporterFirstName() }}
                                {% endif %}
                                {{ propertyVacancyReport.getReporterName() }}
                            </b>
                            {% if propertyVacancyReport.getReporterCompanyName() %}
                                ({{ propertyVacancyReport.getReporterCompanyName() }})
                            {% endif %}
                        </div>
                        {% if propertyVacancyReport.getReporterPhoneNumber() %}
                            <div class="d-flex align-items-center mt-1">
                                <span class="material-icons-outlined me-2">call</span> {{ propertyVacancyReport.getReporterPhoneNumber() }}
                            </div>
                        {% endif %}
                        {% if propertyVacancyReport.getReporterEmail() %}
                            <div class="d-flex align-items-center mt-1">
                                <i class="material-icons-outlined me-2">email</i> <a href="mailto:{{ propertyVacancyReport.getReporterEmail() }}">{{ propertyVacancyReport.getReporterEmail() }}</a>
                            </div>
                        {% endif %}
                        <div class="mt-1">
                            {% if propertyVacancyReport.isReporterAlsoPropertyOwner() %}
                                <span>Die meldende Person ist Eigentümer:in des Objekts.</span>
                            {% else %}
                                <span>Die meldende Person ist <u>nicht</u> Eigentümer:in des Objekts.</span>
                            {% endif %}
                        </div>
                    {% endif %}
                    {% if propertyVacancyReport.getBuildingUnit() %}
                        <div class="mt-3">
                            <div class="d-flex align-items-center mt-1">
                                <i class="material-icons-outlined me-2">compare_arrows</i>
                                <span>
                                    {% if is_granted('view', propertyVacancyReport.getBuildingUnit()) == true %}
                                        Diese Leerstandsmeldung wurde überführt zu <a href="{{ path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': propertyVacancyReport.getBuildingUnit().getId()}) }}">Objekt A{{ propertyVacancyReport.getBuildingUnit().getId() }}</a>.
                                    {% else %}
                                        Diese Leerstandsmeldung wurde überführt.
                                    {% endif %}
                                </span>
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
            {% if propertyVacancyReport.getPropertyVacancyReportImages() %}
                <div class="row mt-3">
                    {% for image in propertyVacancyReport.getPropertyVacancyReportImages() %}
                        <div class="col-md-4 mb-3">
                            <img src="{{ path('file', {'fileUuid': image.getFile().getUuid()}) }}" class="img-fluid">
                        </div>
                    {% endfor %}
                </div>
            {% endif %}
        </div>
        {% if propertyVacancyReport.getPropertyVacancyReportNotes()|length > 0 %}
            <div class="mdc-card mb-4">
                <div class="accordion">
                    <div class="accordion-item">
                        <h2 class="accordion-header">
                            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                                    data-coreui-target="#property_vacancy_report_note_content" aria-expanded="true"
                                    aria-controls="property_vacancy_report_note_content">
                                Notizen
                            </button>
                        </h2>
                        <div id="property_vacancy_report_note_content" class="accordion-collapse collapse show">
                            <div class="d-flex flex-column">
                                {% include 'property_vacancy_management/component/property_vacancy_report/property_vacancy_report_note_list_component.html.twig' with {
                                    'idPrefix': 'property_vacancy_report_note_',
                                    'listItems': propertyVacancyReport.getPropertyVacancyReportNotes(),
                                    'showActionButton': true,
                                    'massOperation': false,
                                    'pagination': false,
                                    'sortable': false,
                                } only %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
